## Function `dmsToDegrees( dms )`

Description:
  Converts a formatted degrees:minutes:seconds string to an angle in degrees. Delimiters may be colon, space, characters `dm[s]`, or some others. Additional spaces and leading +/- are permitted. The :seconds part is optional.

Parameters:
  `dms` (String)
    formatted DMS string

Return Value (floating point):
  angle in degrees specified by `dms`

Signature:
  `double dmsToDegrees(String)`